
#ifndef PLS_SYSTEM_DETAILS_H
#define PLS_SYSTEM_DETAILS_H

#include <cstdint>

namespace pls {
    namespace internal {
        namespace base {
            /**
             * Collection of system details, e.g. hardware cache line size.
             *
             * PORTABILITY:
             * Currently sane default values for x86.
             */
            namespace system_details {
                constexpr std::uintptr_t CACHE_LINE_SIZE = 64;
            }
        }
    }
}

#endif //PLS_SYSTEM_DETAILS_H
